;basic lookup table oscillator with varying frequency input

<CsoundSynthesizer>
<CsOptions>

csound -s -d -W -otestfrequency.wav -b4096 -B4096 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	1
0dbfs = 32767

	instr	2002	; simple oscillator with p fields

a1	oscili	dbfsamp(p4), p5, p6, p7
iamp = dbfsamp(p4)
ifreq = p5
iphase = p7 * 360.0
itrig = 1
printf "dbfs %3.2f Frequency  %5.4f Phase %3.2f\n", itrig, iamp, ifreq, iphase
 	out	a1
 	endin


</CsInstruments>
<CsScore>


; One period of a sine wave
f 1	0	8192	10	1

;inst 	start	dur	amp	freq	wave	phase
i 2002	0	5	5000	220.0	1	0.0
s
i 2002	1	6	5000	221.0	1	0.5
s
i 2002	1	6	5000	220.01	1	0.0
e


</CsScore>
</CsoundSynthesizer>
