;employing buzz to create a pulse train

<CsoundSynthesizer>
<CsOptions>

csound -s -d -opulse.wav -W -b4096 -B4096 

  ;only useful in some versions such as CsoundAV, MacCsound

</CsOptions>
<CsInstruments>

sr        =         48000
kr        =         480
ksmps     =         100
nchnls    =         1

	instr 1     ; pitched pulse train
iharm = int(48000/(p4>p5 ? p4:p5)/2)-1 ;max harm w/o alias
a1 linseg 0, 0.05, 30000, p3-0.1, 30000, 0.05, 0, 1, 0
afreq expon p4, p3, p5
a2 buzz 1, afreq, iharm, 1, -1
out a1*a2
	endin

</CsInstruments>
<CsScore>
f1   0    16384  10  1           

i1	0 	2	1	1
s
i1	0 	6	10	20
e

</CsScore>
</CsoundSynthesizer>
